Summary: GNU File Utilities
Name: fileutils
Version: 4.0
Release: 1
Group: Utilities/File
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root


%description
These are the GNU file management utilities.  It includes programs
to copy, move, list, etc, files.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s MAKEINFO="makeinfo --no-split" \
	./configure --prefix=/usr --exec-prefix=/ --disable-nls
make 


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info
# These are not essential system programs so should goto /usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mv $RPM_BUILD_ROOT/bin/{dir,dircolors,du,install,mkfifo,vdir} \
	$RPM_BUILD_ROOT/usr/bin


%post
/sbin/install-info /usr/info/fileutils.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/fileutils.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog* NEWS README THANKS TODO
/bin/*
/usr/bin/*
/usr/info/*.info.gz
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT
